Package org.zkoss.stateless.function

## Interface CheckedConsumer4<A,​B,​C,​D>

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `ActionHandler4<A,​B,​C,​D>`, `ActionType.OnAcrossPage4<A,​B,​C,​D>`, `ActionType.OnAdjustCols4<A,​B,​C,​D>`, `ActionType.OnAdjustFrozenCols4<A,​B,​C,​D>`, `ActionType.OnAdjustRows4<A,​B,​C,​D>`, `ActionType.OnAfterRender4<A,​B,​C,​D>`, `ActionType.OnAfterSize4<A,​B,​C,​D>`, `ActionType.OnAnchorPos4<A,​B,​C,​D>`, `ActionType.OnBlur4<A,​B,​C,​D>`, `ActionType.OnBookmarkChange4<A,​B,​C,​D>`, `ActionType.OnCameraUnavailable4<A,​B,​C,​D>`, `ActionType.OnCancel4<A,​B,​C,​D>`, `ActionType.OnCellClick4<A,​B,​C,​D>`, `ActionType.OnChange4<A,​B,​C,​D>`, `ActionType.OnChanging4<A,​B,​C,​D>`, `ActionType.OnCheck4<A,​B,​C,​D>`, `ActionType.OnCheckSelectAll4<A,​B,​C,​D>`, `ActionType.OnClear4<A,​B,​C,​D>`, `ActionType.OnClick4<A,​B,​C,​D>`, `ActionType.OnClientInfo4<A,​B,​C,​D>`, `ActionType.OnClose4<A,​B,​C,​D>`, `ActionType.OnColSize4<A,​B,​C,​D>`, `ActionType.OnCreate4<A,​B,​C,​D>`, `ActionType.OnCrop4<A,​B,​C,​D>`, `ActionType.OnCtrlKey4<A,​B,​C,​D>`, `ActionType.OnDataLoading4<A,​B,​C,​D>`, `ActionType.OnDeferredEvaluation4<A,​B,​C,​D>`, `ActionType.OnDesktopRecycle4<A,​B,​C,​D>`, `ActionType.OnDetect4<A,​B,​C,​D>`, `ActionType.OnDivisionSize4<A,​B,​C,​D>`, `ActionType.OnDoubleClick4<A,​B,​C,​D>`, `ActionType.OnDrop4<A,​B,​C,​D>`, `ActionType.OnError4<A,​B,​C,​D>`, `ActionType.OnFocus4<A,​B,​C,​D>`, `ActionType.OnFulfill4<A,​B,​C,​D>`, `ActionType.OnGroup4<A,​B,​C,​D>`, `ActionType.OnHistoryPopState4<A,​B,​C,​D>`, `ActionType.OnInnerWidth4<A,​B,​C,​D>`, `ActionType.OnItemClick4<A,​B,​C,​D>`, `ActionType.OnLengthLimitExceed4<A,​B,​C,​D>`, `ActionType.OnMaxFileCountExceed4<A,​B,​C,​D>`, `ActionType.OnMaximize4<A,​B,​C,​D>`, `ActionType.OnMaxsizeExceed4<A,​B,​C,​D>`, `ActionType.OnMinimize4<A,​B,​C,​D>`, `ActionType.OnModal4<A,​B,​C,​D>`, `ActionType.OnMouseOut4<A,​B,​C,​D>`, `ActionType.OnMouseOver4<A,​B,​C,​D>`, `ActionType.OnMove4<A,​B,​C,​D>`, `ActionType.OnNotify4<A,​B,​C,​D>`, `ActionType.OnOK4<A,​B,​C,​D>`, `ActionType.OnOpen4<A,​B,​C,​D>`, `ActionType.OnPageSize4<A,​B,​C,​D>`, `ActionType.OnPaging4<A,​B,​C,​D>`, `ActionType.OnPiggyback4<A,​B,​C,​D>`, `ActionType.OnPortalDrop4<A,​B,​C,​D>`, `ActionType.OnPortalMove4<A,​B,​C,​D>`, `ActionType.OnRangeValueChange4<A,​B,​C,​D>`, `ActionType.OnRender4<A,​B,​C,​D>`, `ActionType.OnRightClick4<A,​B,​C,​D>`, `ActionType.OnRotate4<A,​B,​C,​D>`, `ActionType.OnSave4<A,​B,​C,​D>`, `ActionType.OnScriptError4<A,​B,​C,​D>`, `ActionType.OnScroll4<A,​B,​C,​D>`, `ActionType.OnScrolling4<A,​B,​C,​D>`, `ActionType.OnScrollPos4<A,​B,​C,​D>`, `ActionType.OnScrollX4<A,​B,​C,​D>`, `ActionType.OnScrollY4<A,​B,​C,​D>`, `ActionType.OnSearch4<A,​B,​C,​D>`, `ActionType.OnSearching4<A,​B,​C,​D>`, `ActionType.OnSelect4<A,​B,​C,​D>`, `ActionType.OnSelection4<A,​B,​C,​D>`, `ActionType.OnSelectSubModel4<A,​B,​C,​D>`, `ActionType.OnSize4<A,​B,​C,​D>`, `ActionType.OnSlide4<A,​B,​C,​D>`, `ActionType.OnSnapshotUpload4<A,​B,​C,​D>`, `ActionType.OnSort4<A,​B,​C,​D>`, `ActionType.OnStateChange4<A,​B,​C,​D>`, `ActionType.OnStub4<A,​B,​C,​D>`, `ActionType.OnSwipe4<A,​B,​C,​D>`, `ActionType.OnTargetClick4<A,​B,​C,​D>`, `ActionType.OnTimer4<A,​B,​C,​D>`, `ActionType.OnTimeZoneChange4<A,​B,​C,​D>`, `ActionType.OnTopPad4<A,​B,​C,​D>`, `ActionType.OnUngroup4<A,​B,​C,​D>`, `ActionType.OnUpload4<A,​B,​C,​D>`, `ActionType.OnURIChange4<A,​B,​C,​D>`, `ActionType.OnUser4<A,​B,​C,​D>`, `ActionType.OnVisibilityChange4<A,​B,​C,​D>`, `ActionType.OnWeekClick4<A,​B,​C,​D>`, `ActionType.OnZIndex4<A,​B,​C,​D>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CheckedConsumer4<A,​B,​C,​D>
      extends java.io.Serializable

  Represents an operation that accepts four arguments and returns no result.
  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(A a, B b, C c, D d)` |
    `default CheckedConsumer4<A,​B,​C,​D>` | `andThen​(CheckedConsumer4<? super A,​? super B,​? super C,​? super D> after)` |

- - ### Method Detail

    - #### accept

          void accept​(A a,
                      B b,
                      C c,
                      D d)
               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### andThen

          default CheckedConsumer4<A,​B,​C,​D> andThen​(CheckedConsumer4<? super A,​? super B,​? super C,​? super D> after)